#include "Token.h"

#include <iostream>

// Constructors
Token::Token() {
	name = "(epsilon)";
	isTerminal = true;
	isEpsilon = true;
}

Token::Token(string nLex, bool isTerm) {
	name = nLex;
	isTerminal = isTerm;
	isEpsilon = false;
}

// Destructor
Token::~Token() {
	
}


// Pretty-printer
ostream& operator <<(ostream& sout, Token& r) {
	if (r.isEpsilon)
		sout << "€";
	else if (r.isTerminal)
		sout << r.name;
	else
		sout << "[" << r.name << "]";
	return sout;
}

